# Class: YARD::Tags::DefaultTag

Inherits:
  Tag
  - Object
  - Tag
  - YARD::Tags::DefaultTag
  show all

Defined in:
  lib/yard/tags/default_tag.rb

## Instance Attribute Summary collapse

- #defaults ⇒ Object readonly

  Returns the value of attribute defaults.

## Instance Method Summary collapse

- #initialize(tag_name, text, types = nil, name = nil, defaults = nil) ⇒ DefaultTag constructor

  A new instance of DefaultTag.

## Constructor Details

### #initialize(tag_name, text, types = nil, name = nil, defaults = nil) ⇒ `DefaultTag`

Returns a new instance of DefaultTag.

    7
    8
    9
    10

    # File 'lib/yard/tags/default_tag.rb', line 7

    def initialize(tag_name, text, types = nil, name = nil, defaults = nil)
      super(tag_name, text, types, name)
      @defaults = defaults
    end

## Instance Attribute Details

### #defaults ⇒ `Object` (readonly)

Returns the value of attribute defaults.

    5
    6
    7

    # File 'lib/yard/tags/default_tag.rb', line 5

    def defaults
      @defaults
    end